apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: caddy-operator-1.0.1
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: caddy-operator
      name: caddy-operator
      podspec:
        containers:
          - name: caddy-operator
      sizing:
        increment: 0
        initial: 1
        maximum: 1
        minimum: 1
  includes:
    - name: defaults-operator
      vendor: asag
      version: 0.7.1
  name: caddy-operator
  operator:
    flags:
      - from: value
        key: operator_identifier
        to: label
        value: caddy-operator
      - from: value
        key: operator_generation
        to: label
        value: "1"
    version: "1.0"
  settings:
    - name: environment
      schema:
        default: caddy_prod
  version: 1.0.1
